## org.apache.mahout.math.hadoop
Class MatrixMultiplicationJob.MatrixMultiplyMapper

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.math.hadoop.MatrixMultiplicationJob.MatrixMultiplyMapper

All Implemented Interfaces:
  java.io.Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.mapred.join.TupleWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Enclosing class:
  MatrixMultiplicationJob

    public static class MatrixMultiplicationJob.MatrixMultiplyMapper

extends org.apache.hadoop.mapred.MapReduceBase
implements org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.mapred.join.TupleWritable,org.apache.hadoop.io.IntWritable,VectorWritable>

Constructor Summary
`MatrixMultiplicationJob.MatrixMultiplyMapper()`

Method Summary
`void` `configure(org.apache.hadoop.mapred.JobConf conf)`
`void` `map(org.apache.hadoop.io.IntWritable index, org.apache.hadoop.mapred.join.TupleWritable v, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.IntWritable,VectorWritable> out, org.apache.hadoop.mapred.Reporter reporter)`

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### MatrixMultiplicationJob.MatrixMultiplyMapper

    public MatrixMultiplicationJob.MatrixMultiplyMapper()

Method Detail

### configure

    public void configure(org.apache.hadoop.mapred.JobConf conf)

  Specified by:
    `configure` in interface `org.apache.hadoop.mapred.JobConfigurable`
  Overrides:
    `configure` in class `org.apache.hadoop.mapred.MapReduceBase`

### map

    public void map(org.apache.hadoop.io.IntWritable index,
                    org.apache.hadoop.mapred.join.TupleWritable v,
                    org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.IntWritable,VectorWritable> out,
                    org.apache.hadoop.mapred.Reporter reporter)
             throws java.io.IOException

  Specified by:
    `map` in interface `org.apache.hadoop.mapred.Mapper<org.apache.hadoop.io.IntWritable,org.apache.hadoop.mapred.join.TupleWritable,org.apache.hadoop.io.IntWritable,VectorWritable>`
  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.